# zot/plugs/campagne.py
#
#

""" the thing to resolve. """

## IMPORTS

from zot.utils import a_time, nr_days, elapsed_days
from zot.runtime import kernel
from zot.object import Object
from zot.looper import LOOPER

## basic imports

import time
import logging
import random
import datetime

## SuicideWarnLoop

pogingenjaar = 94000
pogingendag = pogingenjaar / 365.0
pogingenuur = pogingendag / 24.0
pogingenmin = pogingenuur / 60.0
geslaagdjaar = 1854
geslaagddag = geslaagdjaar / 365.0
geslaagduur = geslaagddag /  24.0
geslaagdmin = geslaagduur / 60.0
counter = 0
startdate = "2012-09-13 00:00:00"
starttime = a_time(startdate)

bron = "https://www.113online.nl/informatie/113online%2B/cijfers-over-zelfmoord"
url = "http://pypi.python.org/pypi/zotbot"
tags = ["#cda", "#pvda", "#d66", "#vvd", "#groenlinks", "#pvdd", "#ggznederland", "#igz", "#vws", "#gemeente", "#wmoloket", "#politie", "#ambulance", "#crisisdienst", "#telefoon", "#huisarts"]

prevpogingen = 0
prevgeslaagd = 0
lastpoging = 0
lastsuicide = 0

def ltag(*args, **kwargs):
    return " ".join([random.choice(tags) for x in range(int(args[0]))])

def campagne(*args, **kwargs):
    global counter, prevpogingen, prevgeslaagd, lastpoging, lastsuicide
    counter += 1
    o = Object()
    o.url = url
    o.bron = bron
    o.time_diff = time.time() - starttime
    o.aantalmin = o.time_diff / 60.0
    o.pogingen = int(o.aantalmin * pogingenmin)
    o.geslaagd = int(o.aantalmin * geslaagdmin)
    o.time_diff = float(time.time() - starttime)
    o.elapsed = elapsed_days(o.time_diff)
    if o.pogingen > lastpoging:
        o.txt = "POGING %s %s - %s (%s) %s/dag" % (o.pogingen, url, ltag(3), o.elapsed, int(pogingendag))
        o.lastpoging = o.pogingen
        o.prepath = "poging"
        thrs = kernel.announce(o.txt)
        if thrs: kernel.collect(thrs)
    if o.geslaagd > lastsuicide:
        o.txt = "SUICIDE nummer %s %s - %s (%s) %s/dag" % (o.geslaagd, url, ltag(3), o.elapsed, int(geslaagddag))
        o.prepath = "suicide"
        o.lastsuicide = o.geslaagd
        thrs = kernel.announce(o.txt)
        if thrs: kernel.collect(thrs)
    o.save()
    kernel.announce("ok %s" % o.signature)

kernel.register("campagne", campagne)

class CAMPAGNE(LOOPER): pass

## campagne init

def init(*args, **kwargs):
    looper = CAMPAGNE(campagne, 300)
    kernel.put(looper.start)
