# zot/plugs/find.py
#
#

""" show all attributes with a value present. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.runtime import kernel

## CMNDS

def find(event):
    objs = sorted(event.selected(), key=lambda x: x.get_timed())
    event.display_list(objs, keys=event.args)

kernel.register("find", find)
