# zot/plugs/ls.py
#
#

""" show available commands. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.utils import mj, to_str
from zot.runtime import kernel, fleet

import types

## CMNDS

def ls(event):
    rest = event.rest()
    if not rest: event.reply(", ".join(sorted([x for x in kernel.names() if "." not in x]))) ; return
    name = ""
    obj = kernel.find(rest)
    res = to_str(obj)
    if res: event.reply(res)
 
kernel.register("ls", ls)
