# zot/plugs/mods.py
#
#

""" show available commands. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.runtime import kernel, fleet
from zot.utils import mj, to_str

import types

## CMNDS

def mods(event):
    rest = event.rest()
    if not rest: event.reply(", ".join(sorted([x for x in kernel.names() if "." in x]))) ; return
    obj = kernel.find(rest)
    res = to_str(obj)
    if res: event.reply(res)
 
kernel.register("mods", mods)
