# zot/plugs/show.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.runtime import kernel

import threading
import logging
import time
import re

## CMNDS

def show(event):
    objs = sorted(kernel.selected(event), key=lambda x: x.get_timed())
    event.reply_list(objs, skiplist=["saved", "ctype", "prepath"])
    
kernel.register("show", show)
