# zot/plugs/deny.py
#
#

""" add to deny list. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.object import Object
from zot.runtime import kernel

## COMMANDS

def deny(event):
    rest = event.rest()
    if not rest: return
    o = Object()
    o.prepath = "deny"
    o.denied = rest
    o.save()
    event.ok()

kernel.register("deny", deny)
