# zot/plugs/dump.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from zot.runtime import kernel

import threading
import logging
import time
import re

## CMNDS

def dump(event):
    objs = sorted(event.selected(event), key=lambda x: x.get_timed())
    try: event.reply(str(objs[event.index]))
    except:
        for obj in objs: event.reply(str(obj))

kernel.register("dump", dump)
