# zot/plugs/help.py
#
#

""" help describing an object. """

## IMPORTS

from zot.runtime import kernel

## CMND

def help_do(event):
    item = event.rest()
    if not item: return
    objects = kernel.find(item)
    if not objects: return
    for obj in objects:
        try: event.reply(obj.__doc__.strip())
        except AttributeError: pass

kernel.register("help", help_do)
